package chess4j.board.directions;

import chess4j.board.Square;

public class West extends Direction {

	private static West INSTANCE = new West();
	
	private West() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file().west(), sq.rank());
	}
	
	public static West getInstance() {
		return INSTANCE;
	}
}
